summaryrefslogtreecommitdiffstats
path: root/tests/opennhrp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/opennhrp')
-rw-r--r--tests/opennhrp10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/opennhrp b/tests/opennhrp
new file mode 100644
index 0000000..e21eb36
--- /dev/null
+++ b/tests/opennhrp
@@ -0,0 +1,10 @@
+ apk_add $@
+ /etc/init.d/opennhrp start
+ pidof opennhrp
+ /etc/init.d/opennhrp stop
+ i=10; while pidof $@; do \
+ [ $i -eq 0 ] && exit 1; \
+ i=$((i - 1)); \
+ sleep 1; \
+ done
+ apk_del $@